﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <script type="text/javascript" src="http://www.google.com/jsapi"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />

        
<telerik:RadEditor ID="RadEditor1" Skin="Telerik" OnClientCommandExecuting="OnClientCommandExecuting" runat="server">
   <Tools>
       <telerik:EditorToolGroup>                
            <telerik:EditorDropDown Name="TranslateTool" Text="<img src='./flags/en.png' /> Translation Tool" width="130" ItemsPerRow="1" PopupWidth="110" PopupHeight="300">
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/en.png' /> English (UK)" value="en" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/es.png' /> Spanish" value="es" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/de.png' /> German" value="de" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/fr.png' /> French" value="fr" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/it.png' /> Italian" value="it" />                    
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/ru.png' /> Russian" value="ru" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/pt-pt.png' /> Portuguese" value="pt" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/he.png' /> Greek" value="gr" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/nl.png' /> Dutch" value="nl" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/ja.png' /> Japanese" value="ja" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/bg.png' />  Bulgarian" value="bg" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/ro.png' /> Romanian" value="ro" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/uk.png' /> Ukrainian" value="uk" />
                 <telerik:EditorDropDownItem  Name ="<img src='./flags/sv.png' /> Swedish" value="sv" />
            </telerik:EditorDropDown>
        </telerik:EditorToolGroup>
   </Tools>  
    <Content>
        This is sample content for translation!    
    </Content>
</telerik:RadEditor>
<script type="text/javascript">
google.load("language", "1");


function OnClientCommandExecuting(editor, args)
{                        
    if (args.get_name() == "TranslateTool")
    {
        //Get language
        var language = args.get_value();
        
        //Use either selected HTML or if no selection use all HTML                
        var hasSelection = true;
        var html = editor.getSelectionHtml().trim();
        if (!html)
        {
            html = editor.get_html(true);
            hasSelection = false;
        }
        
        google.language.translate(html, "", language, function(result) 
        {
            if (!result.error) 
            {
               currentSelectedHtml = result.translation;
               
               //Either paste at current location or replace whole editor content
               if (hasSelection)
               {
                    editor.pasteHtml(currentSelectedHtml);
               }
               else editor.set_html(currentSelectedHtml);
             }
        });
        
        args.set_cancel(true); 
    }
}
</script>
    </form>
</body>
</html>
